﻿using System.Collections;
using System.Collections.Generic;

namespace LoopingSelectorSample.Collections
{
    /// <summary>
    /// 1から31までの数値を提供するコレクションです。
    /// </summary>
    public class NumberCollection : IEnumerable<int>
    {
        public IEnumerator<int> GetEnumerator()
        {
            for (int i = 1; i <= 31; i++) { yield return i; }
        }

        IEnumerator IEnumerable.GetEnumerator()
        {
            return GetEnumerator();
        }
    }
}